TAU_GET_PROFILE_GROU(3)

Name
TAU_GET_PROFILE_GROUP - Creates groups based on names

Synopsis

C/C++:

TAU_GET_PROFILE_GROUP(char *groupname);

Description

TAU_GET_PROFILE_GROUP allows the user to dynamically create groups based on strings, rather than use predefined, statically assigned groups such as TAU_USER1, TAU_USER2 etc. This allows names to be associated in creating unique groups that are more meaningful, using names of files or directories for instance.

Example

C/C++ :

    #define PARTICLES TAU_GET_PROFILE_GROUP("PARTICLES")
    void foo() {
      TAU_PROFILE("foo()", " ", PARTICLES);
    }
    void bar() {
      TAU_PROFILE("bar()", " ", PARTICLES);
    }

Python:

    import pytau
    pytau.getProfileGroup("PARTICLES")

See Also

TAU_ENABLE_GROUP_NAME(3), TAU_DISABLE_GROUP_NAME(3), TAU_ENABLE_ALL_GROUPS(3), TAU_DISABLE_ALL_GROUPS(3)